# 🍉 pasteque-align

[![npm](https://img.shields.io/npm/v/pasteque-align.svg)](https://www.npmjs.com/package/pasteque-align)

Aligning type to baseline.

### Installation

```
$ npm install pasteque-align
```

### Usage

**📖 Read the docs! Coming soon.**

```scss
@charset "UTF-8";

// Primary typeface specs.
$p-fonteque--primary: (
  "family": ("Name Serif", serif),
  "style": "normal",
  "weight": 400,
  "cap-height": 0.7,
);

// Secondary typeface specs.
$p-fonteque--secondary: (
  "family": ("Name Sans", sans-serif),
  "style": "normal",
  "weight": 400,
  "cap-height": 0.7,
);

@import "path/to/node_modules/pasteque-align/align";

@debug p-fonteque-has-key("primary");
// /path/to/style.scss:21 DEBUG: true

.foo {
  @include p-align-padding-top(16px, "primary");
}

.foo {
  @include p-align-trailer(16px, "secondary");
}

.foo {
  @include p-align-type-to-baseline(16px, "primary");
}

.foo {
  @include p-align-type-horizontal-padding(16px, "secondary");
}
```

```css
.foo {
  padding-top: 0.65rem;
}

.foo {
  margin-bottom: 0.35rem;
}

.foo + * {
  margin-top: 0;
}

.foo {
  padding-top: 0.65rem;
  margin-bottom: 0.35rem;
  font-size: 1rem;
  line-height: 2rem;
}

.foo + * {
  margin-top: 0;
}

.foo {
  padding-top: 0.65rem;
  padding-bottom: 0.35rem;
  font-size: 1rem;
  line-height: 2rem;
}
```

### Author

[Zaza Agency]()

###### Contributors

[Aziz Da](https://github.com/AzizDa)

---

[![CC-BY-4.0](https://i.creativecommons.org/l/by/4.0/88x31.png)](http://creativecommons.org/licenses/by/4.0/)
